commit:     5a55418cf5f7ae785d7e6ece421131283e5e4eda
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 26 18:54:01 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 26 18:55:09 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a55418c

app-arch/libarchive: Bump to 3.7.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-arch/libarchive/Manifest                |   2 +
 app-arch/libarchive/libarchive-3.7.4.ebuild | 176 ++++++++++++++++++++++++++++
 2 files changed, 178 insertions(+)

diff --git a/app-arch/libarchive/Manifest b/app-arch/libarchive/Manifest
index 441ef7e81de2..2baf43a36402 100644
--- a/app-arch/libarchive/Manifest
+++ b/app-arch/libarchive/Manifest
@@ -2,3 +2,5 @@ DIST libarchive-3.7.2.tar.xz 5237056 BLAKE2B 
7221db4811a965ee61d879a260348036362
 DIST libarchive-3.7.2.tar.xz.asc 659 BLAKE2B 
7141baf007b89b7ee38ec817b648cef5efb4d694953fcd49f6ed2dc95cf4da2d9259262b9eb4f01ff5d4ecee1257b266a8c6687a8e8ef8790121048229f1ad22
 SHA512 
c2ce850088245d7723720737d74d1cc1819984d01b3f9e4ed96b0757f4c6d6d511b78792181a12400c563632d74edcd0c2c3a4b7527cba40ada7ef74488078fc
 DIST libarchive-3.7.3.tar.xz 5428992 BLAKE2B 
c53672c8cdbe8f406f00bf4fc6b36e4dffcd23a33909dbec6ef06b86dceefc6062840eff629ba3bd19c36121720e16a8ba10dfa1a35ebed186cc92eb144f55d0
 SHA512 
984e7c61010b9555bafe54d5f52ff2d089e28afe5cea3a14615e2aca8539075293789d18f17f8915882ec328bcbdca7b3d1536d6dc19620ca226e8b6d802ef63
 DIST libarchive-3.7.3.tar.xz.asc 659 BLAKE2B 
bfe18e36ef2e96ad46ab2cd1236701b4b80f41ebb840681c1baf7eac72f38444cc0619645fac17d3acdda6553b294483d87f0a92d9575138d117934e838d85d2
 SHA512 
9f340b41fc9db34f1c4e0823d559b666196d3031249e05981cfb43a401aa8a85710f14ba1cc784ab3ca367439e4c485668dffe7020f38f50b3ed35810df504a1
+DIST libarchive-3.7.4.tar.xz 5417660 BLAKE2B 
128f72235da61e112201046c0cfe62a8c580cf73b426c4cfe270ae913356f6ad430ba33a663dcd617b082c7baf45ada8d1c9928c45fea16fd57e8020693a60bc
 SHA512 
84bc346ba15861ab10aa54a3d687de955178e4efbe12bf3a49a467181e7f819673949f131f4c8338de8ed6e319a8565af376e5a540380bda08e60dffbc7c8686
+DIST libarchive-3.7.4.tar.xz.asc 659 BLAKE2B 
77e705194f6e9a9f97da0ac43c9b3157e1a8a490d26da34079e4ef3f2bcf98d6f6e95567e110287fab0ec26d3fc27e5bbeff7569c9ca138de2caf47af737c6d0
 SHA512 
82caa18a78661ea717ce93cdcb0806eed48450c20fb4d45cb4c33001f2d4d0fb5a791552acbb24ad8c41772e1d0b66c76c9cb86946bc862109721a0c986f5331

diff --git a/app-arch/libarchive/libarchive-3.7.4.ebuild 
b/app-arch/libarchive/libarchive-3.7.4.ebuild
new file mode 100644
index 000000000000..4e1429fdc70c
--- /dev/null
+++ b/app-arch/libarchive/libarchive-3.7.4.ebuild
@@ -0,0 +1,176 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit libtool multilib-minimal toolchain-funcs verify-sig
+
+DESCRIPTION="Multi-format archive and compression library"
+HOMEPAGE="
+       https://www.libarchive.org/
+       https://github.com/libarchive/libarchive/
+"
+SRC_URI="
+       https://www.libarchive.de/downloads/${P}.tar.xz
+       verify-sig? ( https://www.libarchive.de/downloads/${P}.tar.xz.asc )
+"
+
+LICENSE="BSD BSD-2 BSD-4 public-domain"
+SLOT="0/13"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+IUSE="
+       acl blake2 +bzip2 +e2fsprogs expat +iconv lz4 +lzma lzo nettle
+       static-libs test xattr +zstd
+"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       sys-libs/zlib[${MULTILIB_USEDEP}]
+       acl? ( virtual/acl[${MULTILIB_USEDEP}] )
+       blake2? ( app-crypt/libb2[${MULTILIB_USEDEP}] )
+       bzip2? ( app-arch/bzip2[${MULTILIB_USEDEP}] )
+       expat? ( dev-libs/expat[${MULTILIB_USEDEP}] )
+       !expat? ( dev-libs/libxml2[${MULTILIB_USEDEP}] )
+       iconv? ( virtual/libiconv[${MULTILIB_USEDEP}] )
+       kernel_linux? (
+               xattr? ( sys-apps/attr[${MULTILIB_USEDEP}] )
+       )
+       dev-libs/openssl:0=[${MULTILIB_USEDEP}]
+       lz4? ( >=app-arch/lz4-0_p131:0=[${MULTILIB_USEDEP}] )
+       lzma? ( >=app-arch/xz-utils-5.2.5-r1[${MULTILIB_USEDEP}] )
+       lzo? ( >=dev-libs/lzo-2[${MULTILIB_USEDEP}] )
+       nettle? ( dev-libs/nettle:0=[${MULTILIB_USEDEP}] )
+       zstd? ( app-arch/zstd[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       kernel_linux? (
+               virtual/os-headers
+               e2fsprogs? ( sys-fs/e2fsprogs[${MULTILIB_USEDEP}] )
+       )
+       test? (
+               app-arch/lrzip
+               app-arch/lz4
+               app-arch/lzip
+               app-arch/lzop
+               app-arch/xz-utils
+               app-arch/zstd
+               lzma? ( app-arch/xz-utils[extra-filters(+)] )
+       )
+"
+BDEPEND="
+       verify-sig? ( >=sec-keys/openpgp-keys-libarchive-20221209 )
+       elibc_musl? ( sys-libs/queue-standalone )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/libarchive.org.asc
+
+# false positives (checks for libc-defined hash functions)
+QA_CONFIG_IMPL_DECL_SKIP=(
+       SHA256_Init SHA256_Update SHA256_Final
+       SHA384_Init SHA384_Update SHA384_Final
+       SHA512_Init SHA512_Update SHA512_Final
+)
+
+PATCHES=(
+       # https://github.com/libarchive/libarchive/issues/2069
+       # (we can simply update the command since we don't support old lrzip)
+       "${FILESDIR}/${PN}-3.7.2-lrzip.patch"
+)
+
+src_prepare() {
+       default
+
+       # Needed for flags to be respected w/ LTO
+       elibtoolize
+}
+
+multilib_src_configure() {
+       export ac_cv_header_ext2fs_ext2_fs_h=$(usex e2fsprogs) #354923
+
+       local myconf=(
+               $(use_enable acl)
+               $(use_enable static-libs static)
+               $(use_enable xattr)
+               $(use_with blake2 libb2)
+               $(use_with bzip2 bz2lib)
+               $(use_with expat)
+               $(use_with !expat xml2)
+               $(use_with iconv)
+               $(use_with lz4)
+               $(use_with lzma)
+               $(use_with lzo lzo2)
+               $(use_with nettle)
+               --with-zlib
+               $(use_with zstd)
+
+               # Windows-specific
+               --without-cng
+       )
+       if multilib_is_native_abi ; then
+               myconf+=(
+                       --enable-bsdcat="$(tc-is-static-only && echo static || 
echo shared)"
+                       --enable-bsdcpio="$(tc-is-static-only && echo static || 
echo shared)"
+                       --enable-bsdtar="$(tc-is-static-only && echo static || 
echo shared)"
+                       --enable-bsdunzip="$(tc-is-static-only && echo static 
|| echo shared)"
+               )
+       else
+               myconf+=(
+                       --disable-bsdcat
+                       --disable-bsdcpio
+                       --disable-bsdtar
+                       --disable-bsdunzip
+               )
+       fi
+
+       ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_compile() {
+       if multilib_is_native_abi ; then
+               emake
+       else
+               emake libarchive.la
+       fi
+}
+
+src_test() {
+       mkdir -p "${T}"/bin || die
+       # tests fail when lbzip2[symlink] is used in place of ref bunzip2
+       ln -s "${BROOT}/bin/bunzip2" "${T}"/bin || die
+       # workaround lrzip broken on 32-bit arches with >= 10 threads
+       # https://bugs.gentoo.org/927766
+       cat > "${T}"/bin/lrzip <<-EOF || die
+               #!/bin/sh
+               exec "$(type -P lrzip)" -p1 "\${@}"
+       EOF
+       chmod +x "${T}/bin/lrzip" || die
+       local -x PATH=${T}/bin:${PATH}
+       multilib-minimal_src_test
+}
+
+multilib_src_test() {
+       # sandbox is breaking long symlink behavior
+       local -x SANDBOX_ON=0
+       local -x LD_PRELOAD=
+       # some locales trigger different output that breaks tests
+       local -x LC_ALL=C.UTF-8
+       emake check
+}
+
+multilib_src_install() {
+       if multilib_is_native_abi ; then
+               emake DESTDIR="${D}" install
+       else
+               local install_targets=(
+                       install-includeHEADERS
+                       install-libLTLIBRARIES
+                       install-pkgconfigDATA
+               )
+               emake DESTDIR="${D}" "${install_targets[@]}"
+       fi
+
+       # Libs.private: should be used from libarchive.pc instead
+       find "${ED}" -type f -name "*.la" -delete || die
+       # https://github.com/libarchive/libarchive/issues/1766
+       sed -e '/Requires\.private/s:iconv::' \
+               -i "${ED}/usr/$(get_libdir)/pkgconfig/libarchive.pc" || die
+}

Reply via email to